Updates to handle new Cabal (specifically per-component macros and multiple libraries.)
ClosedPublic

Authored by ezyang on Mar 29 2016, 4:59 PM.

Details

Summary

Contains Cabal submodule update.

Signed-off-by: Edward Z. Yang <ezyang@cs.stanford.edu>

Test Plan

validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang updated this revision to Diff 7115.Mar 29 2016, 4:59 PM
ezyang retitled this revision from to Updates to handle new Cabal (specifically per-component macros and multiple libraries.).
ezyang edited the test plan for this revision. (Show Details)
ezyang added reviewers: bgamari, austin.
ezyang updated this object.
hvr awarded a token.Mar 29 2016, 5:05 PM
hvr added a subscriber: hvr.
bgamari edited edge metadata.Apr 7 2016, 6:35 AM

When is this new Cabal coming? Does this mean that Cabal is breaking backwards compatibility at some point? Will GHC 8.0.1 without this patch would break with a future Cabal release?

This update is for Cabal 1.25 development branch. GHC 8 will be shipping with Cabal 1.24 so there is not a problem.

bgamari requested changes to this revision.EditedMay 11 2016, 5:54 AM
bgamari edited edge metadata.

@ezyang, do you think you could push this again to trigger a Harbormaster build?

Oh dear, never mind; I momentarily forgot that Harbormaster is still not validating Differentials. Hrm.

This revision now requires changes to proceed.May 11 2016, 5:54 AM
ezyang updated this revision to Diff 7530.May 11 2016, 8:46 PM
ezyang edited edge metadata.

Repush

austin accepted this revision.May 24 2016, 12:34 PM
austin edited edge metadata.

Okay, so I don't want this to hang out forever (Hadrian will have to accommodate it but it'll eventually have to do that), and this change overall looks OK to me. @ezyang feel free to merge this (and point Cabal to an even newer commit if you think it's safe too).

bgamari accepted this revision.May 24 2016, 1:56 PM
bgamari edited edge metadata.

Also builds for me.

This revision is now accepted and ready to land.May 24 2016, 1:56 PM
This revision was automatically updated to reflect the committed changes.